Package bitel.billing.server.contract.bean

# Class ContractParameterManager

java.lang.Object
bitel.billing.server.contract.bean.ContractParameterManager

All Implemented Interfaces:
  `java.lang.AutoCloseable`

Direct Known Subclasses:
  `ContractParamUtils`

    @Deprecated
    public class ContractParameterManager
    extends java.lang.Object
    implements java.lang.AutoCloseable

Deprecated.
use `ContractDao` or `ContractService`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.sql.Connection` | `con` | Deprecated.
  `static java.lang.String` | `CONTRACT_PARAMETER_TYPE_ADDRESS` | Deprecated.
  `static java.lang.String` | `CONTRACT_PARAMETER_TYPE_BOOLEAN` | Deprecated.
  `static java.lang.String` | `CONTRACT_PARAMETER_TYPE_CONTRACT` | Deprecated.
  `static java.lang.String` | `CONTRACT_PARAMETER_TYPE_DATE` | Deprecated.
  `static java.lang.String` | `CONTRACT_PARAMETER_TYPE_EMAIL` | Deprecated.
  `static java.lang.String` | `CONTRACT_PARAMETER_TYPE_LIST` | Deprecated.
  `static java.lang.String` | `CONTRACT_PARAMETER_TYPE_LIST_VALUES` | Deprecated.
  `static java.lang.String` | `CONTRACT_PARAMETER_TYPE_MULTILIST` | Deprecated.
  `static java.lang.String` | `CONTRACT_PARAMETER_TYPE_MULTILIST_ITEM` | Deprecated.
  `static java.lang.String` | `CONTRACT_PARAMETER_TYPE_MULTILIST_VALUES` | Deprecated.
  `static java.lang.String` | `CONTRACT_PARAMETER_TYPE_PHONE` | Deprecated.
  `static java.lang.String` | `CONTRACT_PARAMETER_TYPE_PHONE_ITEM` | Deprecated.
  `static java.lang.String` | `CONTRACT_PARAMETER_TYPE_SERVICING_PERSON` | Deprecated.
  `static java.lang.String` | `CONTRACT_PARAMETER_TYPE_STRING` | Deprecated.
  `static java.lang.String` | `CONTRACT_PARAMETERS_PREF` | Deprecated.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractParameterManager​(java.sql.Connection con)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `checkMultiListValue​(int val, int pid)` | Deprecated.
  `void` | `clearParameterHistory​(int cid, int pid, int parameterTypeId)` | Deprecated. Очищает историю параметра договора.
  `void` | `close()` | Deprecated.
  `void` | `copyContractParams​(java.lang.String where, java.util.Map<java.lang.String,​bitel.billing.server.util.db.ColumnValue> valuesPairs)` | Deprecated. Копирование параметров договора.
  `void` | `deleteAddressParam​(int cid, int pid, int userId)` | Deprecated. Удаление адресного параметра
  `void` | `deleteContractRefParam​(int cid, int pid, int userId)` | Deprecated. Удаление параметра типа "Ссылка на договор"
  `ContractParameterManager` | `deleteDateParam​(int cid, int pid, int userId)` | Deprecated. Удаляет параметр типа "Дата"
  `void` | `deleteEmailParam​(int contractId, int parameterId, int userId)` | Deprecated. Удаление параметра типа "Email"
  `ContractParameterManager` | `deleteFlagParam​(int cid, int pid, int userId)` | Deprecated. Удаление параметра типа "флаг"
  `void` | `deleteListCustomValue​(java.lang.String customValue, int pid)` | Deprecated.
  `ContractParameterManager` | `deleteListParam​(int cid, int pid, int userId)` | Deprecated. Удаление спискового параметра
  `void` | `deleteListValue​(int id)` | Deprecated.
  `void` | `deleteMultiListCustomValue​(java.lang.String customValue, int pid)` | Deprecated.
  `void` | `deleteMultiListValue​(int id)` | Deprecated.
  `void` | `deleteParam​(int parameterId)` | Deprecated. Удаление параметра
  `void` | `deleteParamForContractByType​(int parameterTypeId, int contractId)` | Deprecated.
  `void` | `deleteParamLog​(int parameterId)` | Deprecated. Удаление истории параметра определенного типа
  `void` | `deleteParamLogForContractByType​(int parameterTypeId, int contractId)` | Deprecated.
  `void` | `deletePhoneParam​(int cid, int pid, int userId)` | Deprecated. Удаление параметра типа "Телефон"
  `ContractParameterManager` | `deleteStringParam​(int contractId, int parameterId, int userId)` | Deprecated. Удаление строкового параметра
  `java.util.Map<java.lang.Integer,​java.lang.Integer>` | `getAddressCustomParam()` | Deprecated. Получение Map с новыми пользовательскими адресами, где key - это id параметра, а value - количество новых адресов этого параметра
  `ContractAddressParamValue` | `getAddressParam​(int contractId, int parameterId)` | Deprecated. Получение параметра типа адрес
  `java.util.Map<java.lang.Integer,​ContractAddressParamValue>` | `getAddressParamMap​(int cid, java.util.Set<java.lang.Integer> pids)` | Deprecated.
  `java.util.List<IdTitle>` | `getAllParams​(int cid, java.lang.String tableName, java.lang.String pids)` | Deprecated. Возвращает список параметров договора в виде idTitle
  `ListParamValue` | `getContractListParamValue​(int contractId, int parameterId)` | Deprecated.
  `java.util.Map<java.lang.Integer,​ContractParamValue>` | `getContractParamValueMap​(int cid)` | Deprecated.
  `java.lang.Integer` | `getContractRefParam​(int cid, int pid)` | Deprecated. Получает параметр типа "Ссылка на договор"
  `java.util.Map<java.lang.Integer,​java.lang.Integer>` | `getContractRefParamMap​(int cid, java.util.Set<java.lang.Integer> pids)` | Deprecated.
  `java.util.Calendar` | `getDateParam​(int cid, int pid)` | Deprecated. Получает временной параметр для данного договора по данному коду
  `java.util.Map<java.lang.Integer,​java.util.Date>` | `getDateParamMap​(int cid, java.util.Set<java.lang.Integer> pids)` | Deprecated.
  `java.lang.String` | `getEmailFromParam​(int cid, int pid)` | Deprecated. Получение строкового представление e-mail параметра. В начале пытаемся получить e-mail из contract_parameter_type_3, если там нет с таким кодом, то возвращаем из contract_parameter_type_1, то есть из строкового параметра.
  `ContractEmailParamValue` | `getEmailParam​(int cid, int pid)` | Deprecated. Получение e-mail параметра
  `java.util.List<java.lang.String>` | `getEmailParameterByContractId​(int contractId)` | Deprecated.
  `java.util.Map<java.lang.Integer,​ContractEmailParamValue>` | `getEmailParamMap​(int cid, java.util.Set<java.lang.Integer> pids)` | Deprecated.
  `java.lang.Boolean` | `getFlagParam​(int contractId, int parameterId)` | Deprecated. Получает значение параметра типа "Флаг"
  `boolean` | `getFlagParam​(int contractId, int parameterId, boolean defaultValue)` | Deprecated. Обертка для метода `getFlagParam(int, int)` возвращающая два значение true/false
  `java.util.Map<java.lang.Integer,​java.lang.Boolean>` | `getFlagParamMap​(int cid, java.util.Set<java.lang.Integer> pids)` | Deprecated.
  `java.lang.Integer` | `getListParam​(int cid, int pid)` | Deprecated. Получение спискового параметра
  `java.lang.String` | `getListParamValue​(int cid, int pid)` | Deprecated.
  `java.util.Map<java.lang.Integer,​ListParamValue>` | `getListParamValueMap​(int cid, java.util.Set<java.lang.Integer> pids)` | Deprecated.
  `java.lang.String` | `getListTitle​(int id)` | Deprecated.
  `java.util.List<IdTitle>` | `getListValues​(int parameterId)` | Deprecated.
  `int` | `getMultilistParamId​(java.lang.String title)` | Deprecated.
  `java.lang.String` | `getMultiListParamValue​(int cid, int pid)` | Deprecated.
  `java.util.Map<java.lang.Integer,​MultiListParamValues>` | `getMultiListParamValueMap​(int cid, java.util.Set<java.lang.Integer> pids)` | Deprecated.
  `java.util.Map<java.lang.Integer,​java.lang.String>` | `getMultiListParamValueMapString​(int cid, java.util.Set<java.lang.Integer> pids)` | Deprecated.
  `MultiListParamValues` | `getMultiListParamValues​(int contractId, int parameterId)` | Deprecated.
  `java.lang.String` | `getMultiListTitle​(int id)` | Deprecated.
  `java.util.List<IdTitle>` | `getMultiListValues​(int parameterId)` | Deprecated.
  `java.util.List<ParameterHistoryEntry>` | `getParameterHistory​(int cid, int pid)` | Deprecated. Получает историю параметра
  `java.util.List<IdTitle>` | `getParameterListValues​(int parameterId)` | Deprecated.
  `ContractParameterPref` | `getParamPref​(int parameterId)` | Deprecated. Возвращает описание типа параметра по типу самого параметра
  `PhoneParamValue` | `getPhoneParam​(int cid, int pid)` | Deprecated. Возвращает значение параметра типа phone
  `java.util.Map<java.lang.Integer,​PhoneParamValue>` | `getPhoneParamMap​(int contractId, java.util.Set<java.lang.Integer> pids)` | Deprecated.
  `java.lang.String` | `getStringParam​(int cid, int pid)` | Deprecated. Возвращает текстовый параметр
  `java.util.Map<java.lang.Integer,​java.lang.String>` | `getStringParamMap​(int cid, java.util.Set<java.lang.Integer> pids)` | Deprecated.
  `java.lang.String` | `getTableName​(int parameterTypeId)` | Deprecated. Получает название таблицы БД для параметра этого типа.
  `java.lang.String` | `getTextlikeParam​(int contractId, int pid)` | Deprecated. Получает параметр который можно трактовать как текст, т.е. текст, мыло, телефон итд.
  `java.util.HashMap<java.lang.Integer,​java.lang.String>` | `getValuesForPids​(java.util.List<java.lang.Integer> pids, int cid)` | Deprecated.
  `java.util.HashMap<java.lang.Integer,​java.lang.String>` | `getValuesForPids​(java.util.Set<java.lang.Integer> pids, int contractId)` | Deprecated. Возвращает строковые значения переданных параметров договора для данного договора.
  `boolean` | `isListValueUsed​(int id)` | Deprecated.
  `boolean` | `isMultiListValueUsed​(int id)` | Deprecated.
  `void` | `replaceCustomListValue​(int id, int pid, java.lang.String customValue)` | Deprecated.
  `void` | `replaceMultiListCustomValues​(int id, int pid, java.lang.String customValue)` | Deprecated.
  `static void` | `resetParametersHistoryMap()` | Deprecated. Сбрасывает кеш с флагами о необходимости ввести историю параметров
  `void` | `searchCustomAddress​(SearchResult<java.lang.String[]> searchResult, int parameterId)` | Deprecated. Возвращает список кастомных адресов
  `void` | `setContractRefParam​(int cid, int pid, int value, int userId)` | Deprecated. Установка параметра типа "Ссылка на договор"
  `void` | `setFlagParam​(int cid, int pid, boolean value)` | Deprecated. заменен на `updateFlagParam(int, int, boolean, int)`
  `void` | `setFlagParam​(int cid, int pid, boolean value, int userId)` | Deprecated. использовать `updateFlagParam(int, int, boolean, int)`
  `MultiListParamValues` | `setMultiListTitleValues​(MultiListParamValues listValues)` | Deprecated.
  `void` | `updateAddressParam​(int cid, int pid, ContractAddressParamValue value, int userId)` | Deprecated. Установка адресного параметра
  `void` | `updateDateParam​(int cid, int pid, java.util.Date value, int userId)` | Deprecated. Установка параметра типа "дата" для договора
  `void` | `updateEmailParam​(int contractId, int parameterId, ContractEmailParamValue value, int userId)` | Deprecated. Установка параметра "Электронный адрес"
  `void` | `updateEmailParamLog​(int contractId, int parameterId, ContractEmailParamValue value, int userId)` | Deprecated.
  `void` | `updateFlagParam​(int cid, int pid, boolean value, int userId)` | Deprecated. Установка значения типа "Флаг" для данного договора
  `void` | `updateListParam​(int cid, int pid, ListParamValue value, int userId)` | Deprecated. Установка значения списковго параметра
  `void` | `updateListParamLog​(int cid, int pid, java.lang.Integer value, java.lang.String customValue, int userId)` | Deprecated. Обновление истории спискового параметра
  `int` | `updateListValue​(int id, int pid, java.lang.String title)` | Deprecated.
  `void` | `updateMultiListParameter​(int cid, int pid, MultiListParamValues values, int userID)` | Deprecated.
  `void` | `updateMultiListParameter​(java.sql.Connection con, int cid, int pid, MultiListParamValues values, int userID)` | Deprecated.
  `void` | `updateMultiListParameterAndItems​(int cid, int pid, MultiListParamValues values, int userId)` | Deprecated. Установка значения мультиспискового параметра
  `int` | `updateMultiListParameterValue​(int id, int pid, java.lang.String title)` | Deprecated.
  `void` | `updateMultiListParamLog​(int cid, int pid, java.lang.String value, int userId)` | Deprecated. Обновление истории мультиспискового параметра
  `void` | `updatePhoneParam​(int cid, int pid, PhoneParamValue value, int userId)` | Deprecated. Обновление параметра типа "Телефон"
  `void` | `updateStringParam​(int contractId, int parameterId, java.lang.String value, int userId)` | Deprecated. Установка текстового параметра

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONTRACT_PARAMETERS_PREF

    public static final java.lang.String CONTRACT_PARAMETERS_PREF
    Deprecated.
    See Also:
      Constant Field Values

  - ### CONTRACT_PARAMETER_TYPE_STRING

    public static final java.lang.String CONTRACT_PARAMETER_TYPE_STRING
    Deprecated.

  - ### CONTRACT_PARAMETER_TYPE_ADDRESS

    public static final java.lang.String CONTRACT_PARAMETER_TYPE_ADDRESS
    Deprecated.

  - ### CONTRACT_PARAMETER_TYPE_EMAIL

    public static final java.lang.String CONTRACT_PARAMETER_TYPE_EMAIL
    Deprecated.

  - ### CONTRACT_PARAMETER_TYPE_SERVICING_PERSON

    public static final java.lang.String CONTRACT_PARAMETER_TYPE_SERVICING_PERSON
    Deprecated.

  - ### CONTRACT_PARAMETER_TYPE_BOOLEAN

    public static final java.lang.String CONTRACT_PARAMETER_TYPE_BOOLEAN
    Deprecated.

  - ### CONTRACT_PARAMETER_TYPE_DATE

    public static final java.lang.String CONTRACT_PARAMETER_TYPE_DATE
    Deprecated.

  - ### CONTRACT_PARAMETER_TYPE_LIST

    public static final java.lang.String CONTRACT_PARAMETER_TYPE_LIST
    Deprecated.

  - ### CONTRACT_PARAMETER_TYPE_LIST_VALUES

    public static final java.lang.String CONTRACT_PARAMETER_TYPE_LIST_VALUES
    Deprecated.
    See Also:
      Constant Field Values

  - ### CONTRACT_PARAMETER_TYPE_CONTRACT

    public static final java.lang.String CONTRACT_PARAMETER_TYPE_CONTRACT
    Deprecated.

  - ### CONTRACT_PARAMETER_TYPE_PHONE

    public static final java.lang.String CONTRACT_PARAMETER_TYPE_PHONE
    Deprecated.

  - ### CONTRACT_PARAMETER_TYPE_PHONE_ITEM

    public static final java.lang.String CONTRACT_PARAMETER_TYPE_PHONE_ITEM
    Deprecated.
    See Also:
      Constant Field Values

  - ### CONTRACT_PARAMETER_TYPE_MULTILIST

    public static final java.lang.String CONTRACT_PARAMETER_TYPE_MULTILIST
    Deprecated.

  - ### CONTRACT_PARAMETER_TYPE_MULTILIST_ITEM

    public static final java.lang.String CONTRACT_PARAMETER_TYPE_MULTILIST_ITEM
    Deprecated.
    See Also:
      Constant Field Values

  - ### CONTRACT_PARAMETER_TYPE_MULTILIST_VALUES

    public static final java.lang.String CONTRACT_PARAMETER_TYPE_MULTILIST_VALUES
    Deprecated.
    See Also:
      Constant Field Values

  - ### con

    protected java.sql.Connection con
    Deprecated.

- ## Constructor Details

  - ### ContractParameterManager

    public ContractParameterManager​(java.sql.Connection con)
    Deprecated.

- ## Method Details

  - ### resetParametersHistoryMap

    public static void resetParametersHistoryMap()
    Deprecated.
    Сбрасывает кеш с флагами о необходимости ввести историю параметров

  - ### getDateParam

    public java.util.Calendar getDateParam​(int cid, int pid)
    Deprecated.
    Получает временной параметр для данного договора по данному коду
    Parameters:
      `cid` - код договора
      `pid` - код параметра
    Returns:

  - ### getDateParamMap

    public java.util.Map<java.lang.Integer,​java.util.Date> getDateParamMap​(int cid, java.util.Set<java.lang.Integer> pids) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateDateParam

    public void updateDateParam​(int cid, int pid, java.util.Date value, int userId)
    Deprecated.
    Установка параметра типа "дата" для договора
    Parameters:
      `cid` - код договора
      `pid` - код параметра договора
      `value` - дата
      `userId` - код пользователя устанавливающего новое значение

  - ### deleteDateParam

    public ContractParameterManager deleteDateParam​(int cid, int pid, int userId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Удаляет параметр типа "Дата"
    Parameters:
      `cid` - код договора
      `pid` - код параметра
      `userId` - кто удалил
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFlagParam

    public java.lang.Boolean getFlagParam​(int contractId, int parameterId)
    Deprecated.

    Получает значение параметра типа "Флаг"

    Метод возращает объект типа Boolean который может иметь три значения
    1) null - параметра нет на договоре и его значение не определено
    2) true - параметр есть на договоре и его значение установлено в true
    3) false - параметр есть на договоре и его значение установлено в false

    Предполагается следующий вариант использования этого метода

    Код:
    // устанавливаем значение флага по умолчанию true/false
    boolean flagValue = false;
    ContractParameterManager cpm = new ContractParameterManager(con);
    Boolean param = cpm.getFlagParam(contractId, pid);
    if ( param != null ) flagValue = param.booleanValue();

    Parameters:
      `contractId` - id договора
      `parameterId` - id параметра

  - ### getFlagParam

    public boolean getFlagParam​(int contractId, int parameterId, boolean defaultValue)
    Deprecated.
    Обертка для метода `getFlagParam(int, int)` возвращающая два значение true/false
    Parameters:
      `contractId` - id договора
      `parameterId` - id параметра
      `defaultValue` - значение параметра при null
    Returns:

  - ### getFlagParamMap

    public java.util.Map<java.lang.Integer,​java.lang.Boolean> getFlagParamMap​(int cid, java.util.Set<java.lang.Integer> pids) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setFlagParam

    @Deprecated public void setFlagParam​(int cid, int pid, boolean value)
    Deprecated.
    заменен на `updateFlagParam(int, int, boolean, int)`
    Вызов setFlagParam( cid, pid, value, 0 );
    Parameters:
      `cid` - код договора
      `pid` - код параметра
      `value` - значение

  - ### setFlagParam

    public void setFlagParam​(int cid, int pid, boolean value, int userId)
    Deprecated.
    использовать `updateFlagParam(int, int, boolean, int)`
    Parameters:
      `cid` -
      `pid` -
      `value` -
      `userId` -

  - ### updateFlagParam

    public void updateFlagParam​(int cid, int pid, boolean value, int userId)
    Deprecated.
    Установка значения типа "Флаг" для данного договора
    Parameters:
      `cid` - код договора
      `pid` - код параметра
      `value` - значение
      `userId` - кто изменил

  - ### deleteFlagParam

    public ContractParameterManager deleteFlagParam​(int cid, int pid, int userId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Удаление параметра типа "флаг"
    Parameters:
      `cid` - код договора
      `pid` - код параметра
      `userId` - кто удалил
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getStringParam

    public java.lang.String getStringParam​(int cid, int pid)
    Deprecated.
    Возвращает текстовый параметр

  - ### getStringParamMap

    public java.util.Map<java.lang.Integer,​java.lang.String> getStringParamMap​(int cid, java.util.Set<java.lang.Integer> pids) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPhoneParam

    public PhoneParamValue getPhoneParam​(int cid, int pid)
    Deprecated.
    Возвращает значение параметра типа phone
    Parameters:
      `cid` - код договора
      `pid` - код параметра
    Returns:
      Объект со значение параметра или null

  - ### getPhoneParamMap

    public java.util.Map<java.lang.Integer,​PhoneParamValue> getPhoneParamMap​(int contractId, java.util.Set<java.lang.Integer> pids) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateStringParam

    public void updateStringParam​(int contractId, int parameterId, java.lang.String value, int userId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Установка текстового параметра
    Parameters:
      `contractId` - код договора
      `parameterId` - код параметра
      `value` - значение
      `userId` - кто изменил
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteStringParam

    public ContractParameterManager deleteStringParam​(int contractId, int parameterId, int userId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Удаление строкового параметра
    Parameters:
      `contractId` - код договора
      `parameterId` - код параметра
      `userId` - кто изменил
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setContractRefParam

    public void setContractRefParam​(int cid, int pid, int value, int userId)
    Deprecated.
    Установка параметра типа "Ссылка на договор"
    Parameters:
      `cid` - код договора
      `pid` - код параметра
      `value` - значение
      `userId` - кто изменил

  - ### getContractRefParam

    public java.lang.Integer getContractRefParam​(int cid, int pid)
    Deprecated.
    Получает параметр типа "Ссылка на договор"
    Parameters:
      `cid` - код договора
      `pid` - код параметра
    Returns:
      параметр типа "Ссылка на договор"

  - ### getContractRefParamMap

    public java.util.Map<java.lang.Integer,​java.lang.Integer> getContractRefParamMap​(int cid, java.util.Set<java.lang.Integer> pids) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### deleteContractRefParam

    public void deleteContractRefParam​(int cid, int pid, int userId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Удаление параметра типа "Ссылка на договор"
    Parameters:
      `cid` -
      `pid` -
      `userId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getListParam

    public java.lang.Integer getListParam​(int cid, int pid)
    Deprecated.
    Получение спискового параметра

  - ### isListValueUsed

    public boolean isListValueUsed​(int id) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### isMultiListValueUsed

    public boolean isMultiListValueUsed​(int id) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### getListParamValue

    public java.lang.String getListParamValue​(int cid, int pid) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMultiListParamValue

    public java.lang.String getMultiListParamValue​(int cid, int pid) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getListParamValueMap

    public java.util.Map<java.lang.Integer,​ListParamValue> getListParamValueMap​(int cid, java.util.Set<java.lang.Integer> pids) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMultiListParamValueMapString

    public java.util.Map<java.lang.Integer,​java.lang.String> getMultiListParamValueMapString​(int cid, java.util.Set<java.lang.Integer> pids) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMultiListParamValueMap

    public java.util.Map<java.lang.Integer,​MultiListParamValues> getMultiListParamValueMap​(int cid, java.util.Set<java.lang.Integer> pids) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateListParam

    public void updateListParam​(int cid, int pid, ListParamValue value, int userId)
    Deprecated.
    Установка значения списковго параметра

  - ### updateMultiListParameterAndItems

    public void updateMultiListParameterAndItems​(int cid, int pid, MultiListParamValues values, int userId)
    Deprecated.
    Установка значения мультиспискового параметра

  - ### updateMultiListParameter

    public void updateMultiListParameter​(int cid, int pid, MultiListParamValues values, int userID)
    Deprecated.

  - ### updateMultiListParameter

    public void updateMultiListParameter​(java.sql.Connection con, int cid, int pid, MultiListParamValues values, int userID)
    Deprecated.

  - ### updateListParamLog

    public void updateListParamLog​(int cid, int pid, java.lang.Integer value, java.lang.String customValue, int userId)
    Deprecated.
    Обновление истории спискового параметра

  - ### updateMultiListParamLog

    public void updateMultiListParamLog​(int cid, int pid, java.lang.String value, int userId)
    Deprecated.
    Обновление истории мультиспискового параметра

  - ### getListTitle

    public java.lang.String getListTitle​(int id) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### getMultiListTitle

    public java.lang.String getMultiListTitle​(int id) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### getListValues

    public java.util.List<IdTitle> getListValues​(int parameterId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMultiListValues

    public java.util.List<IdTitle> getMultiListValues​(int parameterId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractListParamValue

    public ListParamValue getContractListParamValue​(int contractId, int parameterId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMultiListParamValues

    public MultiListParamValues getMultiListParamValues​(int contractId, int parameterId) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### updateMultiListParameterValue

    public int updateMultiListParameterValue​(int id, int pid, java.lang.String title) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### replaceMultiListCustomValues

    public void replaceMultiListCustomValues​(int id, int pid, java.lang.String customValue) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### updateListValue

    public int updateListValue​(int id, int pid, java.lang.String title) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### replaceCustomListValue

    public void replaceCustomListValue​(int id, int pid, java.lang.String customValue) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### checkMultiListValue

    public boolean checkMultiListValue​(int val, int pid) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### deleteListValue

    public void deleteListValue​(int id) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### deleteMultiListValue

    public void deleteMultiListValue​(int id) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### deleteListCustomValue

    public void deleteListCustomValue​(java.lang.String customValue, int pid) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### deleteMultiListCustomValue

    public void deleteMultiListCustomValue​(java.lang.String customValue, int pid) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### getMultilistParamId

    public int getMultilistParamId​(java.lang.String title) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### setMultiListTitleValues

    public MultiListParamValues setMultiListTitleValues​(MultiListParamValues listValues) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### deleteListParam

    public ContractParameterManager deleteListParam​(int cid, int pid, int userId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Удаление спискового параметра
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getParameterListValues

    @Deprecated public java.util.List<IdTitle> getParameterListValues​(int parameterId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Deprecated. `getListValues(int)`
    Parameters:
      `parameterId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getEmailFromParam

    public java.lang.String getEmailFromParam​(int cid, int pid)
    Deprecated.
    Получение строкового представление e-mail параметра.
    В начале пытаемся получить e-mail из contract_parameter_type_3, если там нет с таким кодом, то возвращаем из contract_parameter_type_1, то есть из строкового параметра. Если в email будет несколько - вернутся все через \n.
    Parameters:
      `cid` - код договора
      `pid` - параметр
    Returns:
      - строка с e-mail(-ми) или null, если не найден.

  - ### getEmailParam

    public ContractEmailParamValue getEmailParam​(int cid, int pid)
    Deprecated.
    Получение e-mail параметра
    Parameters:
      `cid` - код договора
      `pid` - код параметра
    Returns:

  - ### getEmailParamMap

    public java.util.Map<java.lang.Integer,​ContractEmailParamValue> getEmailParamMap​(int cid, java.util.Set<java.lang.Integer> pids) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateEmailParam

    public void updateEmailParam​(int contractId, int parameterId, ContractEmailParamValue value, int userId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Установка параметра "Электронный адрес"
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateEmailParamLog

    public void updateEmailParamLog​(int contractId, int parameterId, ContractEmailParamValue value, int userId)
    Deprecated.

  - ### getAddressParam

    public ContractAddressParamValue getAddressParam​(int contractId, int parameterId)
    Deprecated.
    Получение параметра типа адрес

  - ### getAddressParamMap

    public java.util.Map<java.lang.Integer,​ContractAddressParamValue> getAddressParamMap​(int cid, java.util.Set<java.lang.Integer> pids) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getAddressCustomParam

    public java.util.Map<java.lang.Integer,​java.lang.Integer> getAddressCustomParam()
    Deprecated.
    Получение Map с новыми пользовательскими адресами, где key - это id параметра, а value - количество новых адресов этого параметра

  - ### updateAddressParam

    public void updateAddressParam​(int cid, int pid, ContractAddressParamValue value, int userId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Установка адресного параметра
    Parameters:
      `cid` -
      `pid` -
      `value` -
      `userId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteAddressParam

    public void deleteAddressParam​(int cid, int pid, int userId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Удаление адресного параметра
    Parameters:
      `cid` - код договора
      `pid` - код параметра
      `userId` - кто удалил
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updatePhoneParam

    public void updatePhoneParam​(int cid, int pid, PhoneParamValue value, int userId)
    Deprecated.
    Обновление параметра типа "Телефон"
    Parameters:
      `cid` - код договора
      `pid` - код параметра
      `value` - значение
      `userId` - кто изменил

  - ### deleteEmailParam

    public void deleteEmailParam​(int contractId, int parameterId, int userId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Удаление параметра типа "Email"
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deletePhoneParam

    public void deletePhoneParam​(int cid, int pid, int userId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Удаление параметра типа "Телефон"
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteParamForContractByType

    public void deleteParamForContractByType​(int parameterTypeId, int contractId)
    Deprecated.

  - ### deleteParamLogForContractByType

    public void deleteParamLogForContractByType​(int parameterTypeId, int contractId)
    Deprecated.

  - ### deleteParam

    public void deleteParam​(int parameterId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Удаление параметра
    Parameters:
      `parameterId` - код параметра
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteParamLog

    public void deleteParamLog​(int parameterId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Удаление истории параметра определенного типа
    Parameters:
      `parameterId` - код параметра
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getParameterHistory

    public java.util.List<ParameterHistoryEntry> getParameterHistory​(int cid, int pid) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Получает историю параметра
    Parameters:
      `cid` - код договора
      `pid` - код параметра
    Returns:
      список записей истории
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### clearParameterHistory

    public void clearParameterHistory​(int cid, int pid, int parameterTypeId) throws java.sql.SQLException
    Deprecated.
    Очищает историю параметра договора.
    Parameters:
      `cid` - код договора.
      `pid` - код параметра.
      `parameterTypeId` - тип параметра.
    Throws:
      `java.sql.SQLException`

  - ### getTableName

    public java.lang.String getTableName​(int parameterTypeId)
    Deprecated.
    Получает название таблицы БД для параметра этого типа.
    Parameters:
      `parameterTypeId` - (номер) тип параметра.
    Returns:
      строка - имя таблицы БД contract_parameter_type_*.

  - ### getEmailParameterByContractId

    public java.util.List<java.lang.String> getEmailParameterByContractId​(int contractId) throws java.sql.SQLException
    Deprecated.
    Throws:
      `java.sql.SQLException`

  - ### getAllParams

    public java.util.List<IdTitle> getAllParams​(int cid, java.lang.String tableName, java.lang.String pids)
    Deprecated.
    Возвращает список параметров договора в виде idTitle
    Parameters:
      `cid` - - id договора
      `tableName` - - имя таблицы параметров
      `pids` - - строка с кодом(ами) параметров, через запятую

  - ### copyContractParams

    public void copyContractParams​(java.lang.String where, java.util.Map<java.lang.String,​bitel.billing.server.util.db.ColumnValue> valuesPairs)
    Deprecated.
    Копирование параметров договора.

  - ### searchCustomAddress

    public void searchCustomAddress​(SearchResult<java.lang.String[]> searchResult, int parameterId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Возвращает список кастомных адресов
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getValuesForPids

    @Deprecated public java.util.HashMap<java.lang.Integer,​java.lang.String> getValuesForPids​(java.util.List<java.lang.Integer> pids, int cid)
    Deprecated.

  - ### getValuesForPids

    public java.util.HashMap<java.lang.Integer,​java.lang.String> getValuesForPids​(java.util.Set<java.lang.Integer> pids, int contractId)
    Deprecated.
    Возвращает строковые значения переданных параметров договора для данного договора.
    Parameters:
      `pids` - список кодов параметров
      `contractId` - код договора
    Returns:

  - ### getTextlikeParam

    public java.lang.String getTextlikeParam​(int contractId, int pid)
    Deprecated.
    Получает параметр который можно трактовать как текст, т.е. текст, мыло, телефон итд. Как getValuesForPids, только для одного договора и одного параметра. Вернёт null если параметра нет (и возможно если он не заполнен для некоторых типов?)

  - ### getParamPref

    public ContractParameterPref getParamPref​(int parameterId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Возвращает описание типа параметра по типу самого параметра
    Parameters:
      `parameterId` - тип параметра
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractParamValueMap

    public java.util.Map<java.lang.Integer,​ContractParamValue> getContractParamValueMap​(int cid) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### close

    public void close() throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Specified by:
      `close` in interface `java.lang.AutoCloseable`
    Throws:
      `ru.bitel.bgbilling.common.BGException`